class CreateCaptures < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE captures
              (id              INT(64) UNSIGNED NOT NULL AUTO_INCREMENT,
               capture_id      INT UNSIGNED NOT NULL,
               sequence        INT(64) UNSIGNED NOT NULL,
               data            VARBINARY(12000) NOT NULL,
               PRIMARY KEY(id),
               UNIQUE KEY(capture_id, sequence),
               FOREIGN KEY (capture_id) REFERENCES capture_requests(id)
                 ON DELETE CASCADE)
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE captures'
  end
end
