class AddRevisionCounters < ActiveRecord::Migration
  def self.up
    execute %{ALTER TABLE revisions
              ADD COLUMN png_counter INT UNSIGNED NOT NULL DEFAULT 0
              AFTER revision}
    execute %{ALTER TABLE revisions
              ADD COLUMN queue_counter INT UNSIGNED NOT NULL DEFAULT 10000
              AFTER revision}
  end

  def self.down
    execute %{ALTER TABLE revisions
              DROP COLUMN png_counter}
    execute %{ALTER TABLE revisions
              DROP COLUMN queue_counter}
  end
end
