require 'node'

# TerminalNodes are leaves (terminal clusters, queues) in the database that
# belong to a tree, for a single revision.
class TerminalNode < ActiveRecord::Base
  include Node
  
  # Tells if the node is a terminal node or internal node (This method is
  # common) to the InternalNode and TerminalNode classes
  # @return Returns true if the node is a terminal node, and false if it is
  #         an internal node
  def terminal
    true
  end
end
