class CreatePngrams < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE pngrams
              (id                INT UNSIGNED NOT NULL AUTO_INCREMENT,
               p                 INT UNSIGNED NOT NULL,
               n                 VARBINARY(255),
               PRIMARY KEY(id),
               UNIQUE KEY(p, n))
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE pngrams'
  end
end
