class CreateLabelAssignments < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE label_assignments
              (id                 INT UNSIGNED NOT NULL AUTO_INCREMENT,
               label_id           INT UNSIGNED NOT NULL,
               classification_id  INT UNSIGNED NOT NULL,
               
               PRIMARY KEY (id),
               FOREIGN KEY (classification_id)
                 REFERENCES colors(id) ON DELETE CASCADE,
               FOREIGN KEY (label_id) REFERENCES labels(id) ON DELETE CASCADE)
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE label_assignments'
  end
end
