class CreateLabelPngrams < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE label_pngrams
              (id                  INT UNSIGNED NOT NULL AUTO_INCREMENT,
               label_assignment_id INT UNSIGNED NOT NULL,
               pngram_id           INT UNSIGNED NOT NULL,
               has_pngram          BOOLEAN NOT NULL,
               PRIMARY KEY(id),
               FOREIGN KEY (pngram_id) REFERENCES pngrams(id)
                 ON DELETE RESTRICT,
               FOREIGN KEY (label_assignment_id)
                 REFERENCES label_assignments(id)
                 ON DELETE CASCADE)
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE node_pngrams'
  end
end
